package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商户 
 * </p>
 *
 * @author yansen
 * @since 2020-11-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaShop implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 商户ID
     */
    @TableId(value = "shop_id", type = IdType.INPUT)
    private String shopId;

    /**
     * 商户名称
     */
    private String shopName;

    /**
     * 商户logo
     */
    private String shopLogo;

    /**
     * 商户简介
     */
    private String shopDesc;

    /**
     * 电话
     */
    private String phone;

    /**
     * 分类ID
     */
    private String typeId;

    /**
     * 分类名称
     */
    private String typeName;

    /**
     * 地址
     */
    private String address;

    /**
     * 经纬度 经度,纬度
     */
    private String lngLat;

    /**
     * 商户管理员 来源ta_user
     */
    private Integer userId;

    /**
     * 打分 0-5分
     */
    private Integer score;

    /**
     * 标签 半角逗号连接
     */
    private String tags;

    /**
     * 外卖标签
     */
    private String badges;

    /**
     * 人均消费
     */
    private String costAvg;

    /**
     * 首页推荐
     */
    private Boolean isIndex;

    /**
     * 排序
     */
    private Integer sortNo;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;


}
